If you update your LMDE in VirtualBox...

Post your update and upgrade related errors here
Forum rules
Before you post please read how to get help

If you update your LMDE in VirtualBox...

Postby Monsta on Sun Apr 08, 2012 4:12 am

Well, that's not as important as updating a "real" system, but I think it counts as an upgrade issue anyway. :)

My VirtualBox 4.1.12 (with Guest Additions installed) apparently hasn't realized that Xorg has been updated from 1.10 to 1.11. So the next reboot left me with just a console where I had to fix things manually. And the fix was to correct a couple of symlinks with the following commands (must be run as root):

Code: Select all
cd /usr/lib/xorg/modules/drivers
rm vboxvideo_drv.so
ln -s /usr/lib/VBoxGuestAdditions/vboxvideo_drv_111.so vboxvideo_drv.so
Code: Select all
cd /usr/lib/x86_64-linux-gnu/dri
rm vboxvideo_dri.so
ln -s /usr/lib/VBoxOGL.so vboxvideo_dri.so

After reboot, things are back to normal. :)

WARNING: Xorg 1.11 support in Guest Additions has been added only in VirtualBox 4.1.4 (see changelog and the fixed bug). If you're running LMDE in VirtualBox older than 4.1.4, update VirtualBox itself first.
Monsta
Level 9
Level 9
 
Posts: 2513
Joined: Fri Aug 19, 2011 3:46 am

Linux Mint is funded by ads and donations.
 

Re: If you update your LMDE in VirtualBox...

Postby j1mw3b on Sun Apr 15, 2012 3:12 pm

Thanks for this. I had updated my virtualbox vm (XFCE) and got the bash login terminal screen.
Your fix solved it. Don't think I would have found it otherwise.
I had posted here: viewtopic.php?f=189&t=99725&p=567573#p567573

Maybe you know about this issue: I tried Gnome 3 and it failed - saying my graphics card is not good enough. A 3 month old Lenovo Thinkpad T520 with Intel SandyBridge HD 3000 chip. Seems like it would be good enough.

I can try to debug it, but it has removed Gnome 3 from the list of desktops options at login.
Would you or anyone know how to put it back in there or how to tell it to start the Gnome 3 desktop?

Thanks,

Jim
j1mw3b
Level 1
Level 1
 
Posts: 21
Joined: Fri Nov 11, 2011 7:42 pm

Re: If you update your LMDE in VirtualBox...

Postby Monsta on Sun Apr 15, 2012 3:34 pm

Since this is a different problem (and with different hardware), it's better to open a new thread. Also check out this one, maybe it will help.
Monsta
Level 9
Level 9
 
Posts: 2513
Joined: Fri Aug 19, 2011 3:46 am

Re: If you update your LMDE in VirtualBox...

Postby Monsta on Thu Aug 02, 2012 3:42 am

Okay folks, it looks like we've got another Xorg update coming - Update Pack 5 (which is being tested now) will bring 1.12. So be prepared to fix the symlinks once more... 8)

Though I'm starting to suspect this is only needed (and applicable) if you've installed the additions from the ISO image. If they are installed as packages (their names start with virtualbox-guest-*) on the guest system, there are some differences in the filenames. For example, /usr/lib/VBoxGuestAdditions directory doesn't even exist.

I guess the package named virtualbox-guest-dkms is supposed to help in this case - the required modules will be rebuilt on update if needed.
I'll found that out once Update Pack 5 hits the Latest repo. :D

Oh, and it looks like the warning has to be repeated. So here it is, updated.

WARNING: Xorg 1.12 support in Guest Additions has been added only in VirtualBox 4.1.10 (see changelog). If you're running LMDE in VirtualBox older than 4.1.10, update VirtualBox itself first.

--------------------
* the exception is virtualbox-guest-additions-iso which contains the mentioned ISO image and should be installed on the host system.
Monsta
Level 9
Level 9
 
Posts: 2513
Joined: Fri Aug 19, 2011 3:46 am


Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 3 guests